;===========================================================================
; Makro: _DISP_0
; Beschreibung:
;	Stellt eine '0' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_0 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A					;Segment A anschalten
	bsf SEG_B					;Segment B anschalten
	bsf SEG_C					;Segment C anschalten
	bsf SEG_D					;Segment D anschalten
	bsf SEG_E					;Segment E anschalten
	bsf SEG_F					;Segment F anschalten
	bcf SEG_G					;Segment G ausschalten
	bcf SEG_DP					;Segment DP ausschalten
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_1
; Beschreibung:
;	Stellt eine '1' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_1 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bcf SEG_A					;Segment A ausschalten
	bsf SEG_B					;Segment B anschalten
	bsf SEG_C					;Segment C anschalten
	bcf SEG_D					;Segment D ausschalten
	bcf SEG_E					;Segment E ausschalten
	bcf SEG_F					;Segment F ausschalten
	bcf SEG_G					;Segment G ausschalten
	bcf SEG_DP					;Segment DP ausschalten
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm
	
;===========================================================================
; Makro: _DISP_2
; Beschreibung:
;	Stellt eine '2' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_2 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A					;Segment A anschalten
	bsf SEG_B					;Segment B anschalten
	bcf SEG_C					;Segment C ausschalten
	bsf SEG_D					;Segment D anschalten
	bsf SEG_E					;Segment E anschalten
	bcf SEG_F					;Segment F ausschalten
	bsf SEG_G					;Segment G anschalten
	bcf SEG_DP					;Segment DP ausschalten
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_3
; Beschreibung:
;	Stellt eine '3' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_3 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bsf SEG_B
	bsf SEG_C
	bsf SEG_D
	bcf SEG_E
	bcf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_4
; Beschreibung:
;	Stellt eine '4' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_4 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bcf SEG_A
	bsf SEG_B
	bsf SEG_C
	bcf SEG_D
	bcf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_5
; Beschreibung:
;	Stellt eine '5' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_5 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bcf SEG_B
	bsf SEG_C
	bsf SEG_D
	bcf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_6
; Beschreibung:
;	Stellt eine '6' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_6 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bcf SEG_B
	bsf SEG_C
	bsf SEG_D
	bsf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_7
; Beschreibung:
;	Stellt eine '7' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_7 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bsf SEG_B
	bsf SEG_C
	bcf SEG_D
	bcf SEG_E
	bcf SEG_F
	bcf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_8
; Beschreibung:
;	Stellt eine '8' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_8 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bsf SEG_B
	bsf SEG_C
	bsf SEG_D
	bsf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_9
; Beschreibung:
;	Stellt eine '9' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_9 macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bsf SEG_B
	bsf SEG_C
	bsf SEG_D
	bcf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_A
; Beschreibung:
;	Stellt ein 'A' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_A macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bsf SEG_B
	bsf SEG_C
	bcf SEG_D
	bsf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_B
; Beschreibung:
;	Stellt ein 'B' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_B macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bcf SEG_A
	bcf SEG_B
	bsf SEG_C
	bsf SEG_D
	bsf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_C
; Beschreibung:
;	Stellt eine 'C' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_C macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bcf SEG_B
	bcf SEG_C
	bsf SEG_D
	bsf SEG_E
	bsf SEG_F
	bcf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_D
; Beschreibung:
;	Stellt eine 'D' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_D macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bcf SEG_A
	bsf SEG_B
	bsf SEG_C
	bsf SEG_D
	bsf SEG_E
	bcf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_E
; Beschreibung:
;	Stellt eine 'E' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_E macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bcf SEG_B
	bcf SEG_C
	bsf SEG_D
	bsf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm

;===========================================================================
; Makro: _DISP_F
; Beschreibung:
;	Stellt eine 'F' auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_F macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bsf SEG_A
	bcf SEG_B
	bcf SEG_C
	bcf SEG_D
	bsf SEG_E
	bsf SEG_F
	bsf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm
	
;===========================================================================
; Makro: _DISP_OFF
; Beschreibung:
;	Stellt nichts auf der 7-Segment-Anzeige dar
;  wenn der Parameter 'stelle' = 1 ist, wird die Zahl an der ersten Stelle
;  dargestellt, ansonsten an der zweiten Stelle.
;===========================================================================
_DISP_OFF macro stelle
	bcf STELLE_1
	bcf STELLE_2
	bcf SEG_A
	bcf SEG_B
	bcf SEG_C
	bcf SEG_D
	bcf SEG_E
	bcf SEG_F
	bcf SEG_G
	bcf SEG_DP
	if stelle == d'1'
	bsf STELLE_1
	else
	nop
	endif

	if stelle == d'2'
	bsf STELLE_2
	else
	nop
	endif

	endm